Package org.eclipse.gef.common.beans.value

## Interface ObservableMultisetValue<E>

Type Parameters:
  `E` - The element type of the `ObservableMultiset`.

All Superinterfaces:
  `java.util.Collection<E>`, `java.lang.Iterable<E>`, `Multiset<E>`, `javafx.beans.Observable`, `ObservableMultiset<E>`, `javafx.beans.value.ObservableObjectValue<ObservableMultiset<E>>`, `javafx.beans.value.ObservableValue<ObservableMultiset<E>>`

All Known Implementing Classes:
  `MultisetBinding`, `MultisetExpression`, `MultisetProperty`, `MultisetPropertyBase`, `ReadOnlyMultisetProperty`, `ReadOnlyMultisetPropertyBase`, `ReadOnlyMultisetWrapper`, `SimpleMultisetProperty`

    public interface ObservableMultisetValue<E>
    extends javafx.beans.value.ObservableObjectValue<ObservableMultiset<E>>, ObservableMultiset<E>

An observable reference to an `ObservableMultiset`.

This interface provides identical functionality for `Multiset` as `ObservableMapValue` for `Map`, `ObservableSetValue` for `Set`, or `ObservableListValue` for `List`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.common.collect.Multiset

`Multiset.Entry<E extends java.lang.Object>`

### Method Summary

### Methods inherited from interface java.util.Collection

`addAll, clear, isEmpty, parallelStream, removeIf, stream, toArray, toArray, toArray`

### Methods inherited from interface com.google.common.collect.Multiset

`add, add, contains, containsAll, count, elementSet, entrySet, equals, forEach, forEachEntry, hashCode, iterator, remove, remove, removeAll, retainAll, setCount, setCount, size, spliterator, toString`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableMultiset

`addListener, removeListener, replaceAll`

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`